PDA

View Full Version : Uresesolved dependencies



doubleA
3rd June 2007, 02:56 PM
I cannot install updates to FC6. Error message Cannot resolve dependencies. I tried each update individually and still same message. What can I do? Thanks :confused:

Nefarious
3rd June 2007, 03:01 PM
It would help if you mentioned the specific updates.

doubleA
3rd June 2007, 07:28 PM
Nefarious,
Here are the package details for the updates that I have been trying to install. It's happening with all the updates, so I didnt think the details would be important. Thanks for any help you can provide.
DoubleA

bind-utils - 31:9.3.4-6.fc6.i386 updates bind-utils - 31:9.3.4-5.fc6.i386
bind-libs - 31:9.3.4-6.fc6.i386 updates bind-libs - 31:9.3.4-5.fc6.i386
ID FEDORA-2007-556
Type bugfix
Status final
Issued 2007-05-31 09:11:23.93
Updated 2007-05-31 09:11:23.93
Bugs 235412
CVEs CVE-2007-2027
ffmpeg-libs - 0.4.9-0.37.20070503.lvn6.i386 updates ffmpeg-libs - 0.4.9-0.35.20070204.lvn6.i386
FEDORA-2007-549
Type security
Status final
Issued 2007-05-31 09:01:52.40
Updated 2007-05-31 09:01:52.40
Bugs 241840
CVEs CVE-2007-1562 CVE-2007-2867 CVE-2007-2868 CVE-2007-2869
CVE-2007-2870 CVE-2007-2871
Description Updated firefox packages that fix several security bugs are
now available Fedora Core 6.
ID FEDORA-2007-564
Type bugfix
Status final
Issued 2007-06-02 10:18:20.98
Updated 2007-06-02 10:18:20.98
Bugs 242165
Description Rebuilt to work with firefox-1.5.0.12.
ID FEDORA-2007-563
Type bugfix
Status final
Issued 2007-06-02 10:16:44.20
Updated 2007-06-02 10:16:44.20
Bugs 240389
FEDORA-2007-513
Type bugfix
Status final
Issued 2007-05-30 14:07:21.26
Updated 2007-05-30 14:07:21.26
Description Update to kernel 2.6.20.11:
http://www.kernel.org/pub/linux/kernel/v2.6/ChangeLog-2.6.20.11

Xen bug fixes, solving many instability problems on i386.

Additional kernel patches, including GFS2 -- see changelog.

This update will require a reboot.
FEDORA-2007-560
Type bugfix
Status final
Issued 2007-06-02 10:12:34.96
Updated 2007-06-02 10:12:34.96
Bugs 238768
FEDORA-2007-558
Type bugfix
Status final
Issued 2007-05-31 09:13:22.24
Updated 2007-05-31 09:13:22.24
FEDORA-2007-539
Type security
Status final
Issued 2007-05-30 14:26:34.37
Updated 2007-05-30 14:26:34.37
CVEs CVE-2007-2683 CVE-2007-1558
Description This update fixes two security issues:

The APOP protocol allows remote attackers to guess the first
3 characters of a password via man-in-the-middle (MITM)
attacks that use crafted message IDs and MD5 collisions.
(CVE-2007-1558)
FEDORA-2007-530
Type bugfix
Status final
Issued 2007-05-30 14:13:46.47
Updated 2007-05-30 14:13:46.47
Description Updated SELinux support
FEDORA-2007-530
Type bugfix
Status final
Issued 2007-05-30 14:13:46.47
Updated 2007-05-30 14:13:46.47
Description Updated SELinux support
pulseaudio-lib - 0.9.6-2.fc6.i386 updates pulseaudio-lib - 0.9.5-2.fc6.i386
FEDORA-2007-543
Type bugfix
Status final
Issued 2007-06-02 10:14:45.34
Updated 2007-06-02 10:14:45.34
FEDORA-2007-537
Type bugfix
Status final
Issued 2007-05-30 14:24:14.50
Updated 2007-05-30 14:24:14.50
Bugs 232217 237709
yelp - 2.16.0-13.fc6.i386 updates yelp - 2.16.0-12.fc6.i386

Dies
3rd June 2007, 10:50 PM
I could be wrong but I'm thinking the output from yum update might be more helpful.

doubleA
5th June 2007, 02:52 AM
I'll run yum update and bring the output.
thanks for the suggestion.

doubleA
10th June 2007, 05:00 PM
I ran yum update and this is what i got. Not sure what to do next.

[root@localhost ~]# yum update
Loading "installonlyn" plugin
Existing lock /var/run/yum.pid: another copy is running. Aborting.
[root@localhost ~]#

Nefarious
11th June 2007, 06:40 PM
If it keeps popping up like that, you'll need to figure out why a program is taking over yum. Usually, you've just got to wait a few minutes for the Update Daemon to finish and then you can update on your own.

doubleA
11th June 2007, 11:57 PM
nefarious,
i thought there is a conflict where i have to turn off yum updateds . do you iknow anything about that?